<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gomoku: Référence de la classe Jeu</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gomoku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Fonctions membres publiques</a> &#124;
<a href="class_jeu-members.html">Liste de tous les membres</a>  </div>
  <div class="headertitle">
<div class="title">Référence de la classe Jeu</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_jeu_8hpp_source.html">Jeu.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Fonctions membres publiques</h2></td></tr>
<tr class="memitem:acc5795ee00edf75516d3dfe65be3e6d6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_jeu.html#acc5795ee00edf75516d3dfe65be3e6d6">Jeu</a> ()</td></tr>
<tr class="separator:acc5795ee00edf75516d3dfe65be3e6d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06c78fea8e09393e6cc0f5a4b8f9798b"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="class_plateau.html">Plateau</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_jeu.html#a06c78fea8e09393e6cc0f5a4b8f9798b">getP</a> () const</td></tr>
<tr class="separator:a06c78fea8e09393e6cc0f5a4b8f9798b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a152c50e26a336590775f732baf5a472d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_jeu.html#a152c50e26a336590775f732baf5a472d">setP</a> (const <a class="el" href="class_plateau.html">Plateau</a> &amp;p)</td></tr>
<tr class="separator:a152c50e26a336590775f732baf5a472d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05ab46ddda667ae4e2650f41a8bce355"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="class_joueur.html">Joueur</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_jeu.html#a05ab46ddda667ae4e2650f41a8bce355">getJoueur1</a> () const</td></tr>
<tr class="separator:a05ab46ddda667ae4e2650f41a8bce355"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66d9207108b869c34b4d4fcbed3a6123"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_jeu.html#a66d9207108b869c34b4d4fcbed3a6123">setJoueur1</a> (const <a class="el" href="class_joueur.html">Joueur</a> &amp;joueur1)</td></tr>
<tr class="separator:a66d9207108b869c34b4d4fcbed3a6123"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5eabee8914da45357d261f143470cf61"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="class_joueur.html">Joueur</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_jeu.html#a5eabee8914da45357d261f143470cf61">getJoueur2</a> () const</td></tr>
<tr class="separator:a5eabee8914da45357d261f143470cf61"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1436d92896dbb6a36b8d9fbb6736360a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_jeu.html#a1436d92896dbb6a36b8d9fbb6736360a">setJoueur2</a> (const <a class="el" href="class_joueur.html">Joueur</a> &amp;joueur2)</td></tr>
<tr class="separator:a1436d92896dbb6a36b8d9fbb6736360a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f799634955420a3f95d6c600c1c8fac"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_jeu.html#a2f799634955420a3f95d6c600c1c8fac">afficherMenuChoixDePartie</a> ()</td></tr>
<tr class="separator:a2f799634955420a3f95d6c600c1c8fac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77193e1c7f644fceac7d2e2fc3799d89"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_jeu.html#a77193e1c7f644fceac7d2e2fc3799d89">lancerHumainVsHumain</a> ()</td></tr>
<tr class="separator:a77193e1c7f644fceac7d2e2fc3799d89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60cfa6bcd60174173ad421f897de4a4d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_jeu.html#a60cfa6bcd60174173ad421f897de4a4d">checkVictoire</a> (int x, int y)</td></tr>
<tr class="separator:a60cfa6bcd60174173ad421f897de4a4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa586f35330a478b7ef56cdef1390bb79"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_jeu.html#aa586f35330a478b7ef56cdef1390bb79">afficherFinPartie</a> () const</td></tr>
<tr class="separator:aa586f35330a478b7ef56cdef1390bb79"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock"><p>La classe jeu regroupe tous les méthodes du moteur de jeu. </p>
</div><h2 class="groupheader">Documentation des constructeurs et destructeur</h2>
<a id="acc5795ee00edf75516d3dfe65be3e6d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acc5795ee00edf75516d3dfe65be3e6d6">&#9670;&nbsp;</a></span>Jeu()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Jeu::Jeu </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Documentation des fonctions membres</h2>
<a id="aa586f35330a478b7ef56cdef1390bb79"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa586f35330a478b7ef56cdef1390bb79">&#9670;&nbsp;</a></span>afficherFinPartie()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Jeu::afficherFinPartie </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2f799634955420a3f95d6c600c1c8fac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f799634955420a3f95d6c600c1c8fac">&#9670;&nbsp;</a></span>afficherMenuChoixDePartie()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Jeu::afficherMenuChoixDePartie </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Affiche le menu de lancement permettant de choisir entre les différents types de partie proposés. </p>

</div>
</div>
<a id="a60cfa6bcd60174173ad421f897de4a4d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60cfa6bcd60174173ad421f897de4a4d">&#9670;&nbsp;</a></span>checkVictoire()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Jeu::checkVictoire </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a05ab46ddda667ae4e2650f41a8bce355"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a05ab46ddda667ae4e2650f41a8bce355">&#9670;&nbsp;</a></span>getJoueur1()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="class_joueur.html">Joueur</a> &amp; Jeu::getJoueur1 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5eabee8914da45357d261f143470cf61"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5eabee8914da45357d261f143470cf61">&#9670;&nbsp;</a></span>getJoueur2()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="class_joueur.html">Joueur</a> &amp; Jeu::getJoueur2 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a06c78fea8e09393e6cc0f5a4b8f9798b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a06c78fea8e09393e6cc0f5a4b8f9798b">&#9670;&nbsp;</a></span>getP()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="class_plateau.html">Plateau</a> &amp; Jeu::getP </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a77193e1c7f644fceac7d2e2fc3799d89"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a77193e1c7f644fceac7d2e2fc3799d89">&#9670;&nbsp;</a></span>lancerHumainVsHumain()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Jeu::lancerHumainVsHumain </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Lance une partie en mode " Humain VS Humain " </p>

</div>
</div>
<a id="a66d9207108b869c34b4d4fcbed3a6123"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a66d9207108b869c34b4d4fcbed3a6123">&#9670;&nbsp;</a></span>setJoueur1()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Jeu::setJoueur1 </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_joueur.html">Joueur</a> &amp;&#160;</td>
          <td class="paramname"><em>joueur1</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1436d92896dbb6a36b8d9fbb6736360a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1436d92896dbb6a36b8d9fbb6736360a">&#9670;&nbsp;</a></span>setJoueur2()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Jeu::setJoueur2 </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_joueur.html">Joueur</a> &amp;&#160;</td>
          <td class="paramname"><em>joueur2</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a152c50e26a336590775f732baf5a472d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a152c50e26a336590775f732baf5a472d">&#9670;&nbsp;</a></span>setP()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Jeu::setP </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_plateau.html">Plateau</a> &amp;&#160;</td>
          <td class="paramname"><em>p</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>La documentation de cette classe a été générée à partir des fichiers suivants :<ul>
<li>src/<a class="el" href="_jeu_8hpp_source.html">Jeu.hpp</a></li>
<li>src/<a class="el" href="_jeu_8cpp.html">Jeu.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
